Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteResourceAdminService

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteResourceAdminService

extends java.rmi.Remote

This interface defines methods to manage the resources tree in the report server.

fullFmtdNodePath is full formated name of a node. It is like the following:

> (R)/(R)Tutorial/(C)mycat.cat/(RptH)myrpt.cls

Each string inside parenthese indicates the type of that node:

> (R)name - Resource Node
> (D)name - Virtual Resource Node of directory
> (F)name - Virtual Resource Node of normal file
> (C)name - Virtual Resource Node of catalog
> (Rpt)name -Virutual Resource Node of report
> (DH)name - Unreachable Virtual Resource Node of directory
> (FH)name - Unreachable Virtual Resource Node of normal file
> (CH)name - Unreachable Virtual Resource Node of catalog
> (RptH)name -Unreachable Virutual Resource Node of report

Method Summary
`java.lang.String` | `addNode(java.lang.String realm, java.lang.String parentPath, byte nodeType, java.util.Hashtable htNode)` Add a node into resource tree in specific realm.
`void` | `deleteNode(java.lang.String realm, java.lang.String nodePath)` Delete the specific node.
`void` | `editNode(java.lang.String realm, java.lang.String nodePath, java.util.Hashtable htNode)` Edit specific resource node.

Method Detail

### addNode

    java.lang.String addNode(java.lang.String realm,
                             java.lang.String parentPath,
                             byte nodeType,
                             java.util.Hashtable htNode)
                             throws NoSuchRealmException,
                                    UnknownMIMEType,
                                    UnknownResource,
                                    ResourceAdminServiceException,
                                    ResourceInfoException,
                                    java.rmi.RemoteException

  Add a node into resource tree in specific realm.

  Parameters:
    `realm` - the realm which exist resource tree.
    `parentPath` - the parent path to specify which node new resource node will add into. For example: /SunVMDemo.
    `nodeType` - new adding node type
    `htNode` - properties of new node, ie. new node name, description, realPaht(folder and resource), max version amount(resource), etc.
  Returns:
    the new node name.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `java.rmi.RemoteException` - will be thrown if error occurs.
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

### deleteNode

    void deleteNode(java.lang.String realm,
                    java.lang.String nodePath)
                    throws NoSuchRealmException,
                           UnknownMIMEType,
                           UnknownResource,
                           ResourceAdminServiceException,
                           ResourceInfoException,
                           java.rmi.RemoteException

  Delete the specific node.

  Parameters:
    `realm` - the realm which exist resource tree.
    `nodePath` - the full node path of the node. For example: /SunVMDemo.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `java.rmi.RemoteException` - will be thrown if error occurs.
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

### editNode

    void editNode(java.lang.String realm,
                  java.lang.String nodePath,
                  java.util.Hashtable htNode)
                  throws NoSuchRealmException,
                         java.io.IOException,
                         UnknownResource,
                         UnknownMIMEType,
                         ResourceAdminServiceException,
                         ResourceInfoException,
                         java.rmi.RemoteException

  Edit specific resource node.

  Parameters:
    `realm` - the realm which exist resource tree.
    `nodePath` - the full path of the node. For example: /SunVMDemo.
    `htNode` - new properties of specified node, ie. new node name, description, realPaht(folder and resource), max version amount(resource), etc.
  Throws:
    `NoSuchRealmException` - IOException UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `java.rmi.RemoteException` - will be thrown if error occurs.
    `java.io.IOException`
    `UnknownResource`
    `UnknownMIMEType`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD